Autore Topic: Dare la possibilita' di spostare su SD (FROYO) e compatibilita' 1.6  (Letto 698 volte)

Offline strike76

  • Nuovo arrivato
  • *
  • Post: 34
  • Respect: +3
    • Mostra profilo
  • Dispositivo Android:
    Acer Liquid
  • Play Store ID:
    Paolo Quattrociocchi
Dare la possibilita' di spostare su SD (FROYO) e compatibilita' 1.6
« il: 24 Settembre 2010, 10:19:02 CEST »
0
Ciao ragazzi, ho fatto delle modifiche al manifest per permettere a chi ha froyo l'installazione su sd:

android:installLocation="preferExternal"
In Project > Properties > Android ho messo come build target  2.2

In minsdk versione ho lasciato "3"

Adesso chi ha froyo in automatica si ritrova l'app su SD, mentre alcuni utenti con 1.6 dicono che l'app non funziona piu' !!!!! Come mai ? Dicono che l'icona e' a forma di ingranaggio e non si avvia.... Con l'emulatore a me non da problemi , solo un warning perche' non riconosce android:installLocation="preferExternal"

Grazie a tutti!

Offline JD

  • Amministratore
  • Utente storico
  • *****
  • Post: 1600
  • Respect: +232
    • leinardi
    • Mostra profilo
  • Dispositivo Android:
    LG Nexus 5
  • Sistema operativo:
    L'ultima Ubuntu
Re:Dare la possibilita' di spostare su SD (FROYO) e compatibilita' 1.6
« Risposta #1 il: 24 Settembre 2010, 14:07:23 CEST »
0
Mmm strano, io ho sempre usato "auto" per le mie app e non mi sono mai giunte lamentele dagli utenti 1.6.
Potresti provare anche tu con Auto, alla fine la tua abb pesa parecchio (5MB mi pare), dovrebbe pensarci l'OS a spostarla su SD, o comunque può farlo sempre a mano l'utente.

È da chiarire cmq se il problema è dovuto a "preferExternal"...
È stata trovata una soluzione al tuo problema?
Evidenzia il post più utile premendo . È un ottimo modo per ringraziare chi ti ha aiutato ;).
E se hai aperto tu il thread marcalo come risolto cliccando !

Offline strike76

  • Nuovo arrivato
  • *
  • Post: 34
  • Respect: +3
    • Mostra profilo
  • Dispositivo Android:
    Acer Liquid
  • Play Store ID:
    Paolo Quattrociocchi
Re:Dare la possibilita' di spostare su SD (FROYO) e compatibilita' 1.6
« Risposta #2 il: 27 Settembre 2010, 08:58:44 CEST »
0
Infatti nemmeno io mi aspettavo questo problema... adesso provo con auto , vediamo che succede!
Grazie!